Page MenuHomePhabricator

Improving MediaWiki - What to do, when you’re new?
Closed, ResolvedPublic

Description

What is the session about?
Contributing to Wikimedia projects as a developer can seem difficult at the beginning. The learning curve can be quite steep and easy tasks that fit the experience level of newcomers are rare. - So what to do, when you’re new?

This workshop will show some ways how developers can find themselves parts in the code that need attention and how to address them. Things probably included here are:

  • Showing simple ways to discover smaller issues in the code base - for example via automated code analysis.
  • How to find and refactor messy code blocks.
  • Find easy tasks on Phabricator.

To increase your chances on getting good reviews, we will discuss best practices for fixing issues and refactoring code, including the most relevant do's and don'ts. The presentation will finish with tips how to to give your commits meaningful names and a brief introduction on how to submit fixes, and poke the right people to get them reviewed.

During the workshop part of the session participants can use the given input to find and fix issues while getting assistance from experienced Wikimedia developers.

What will attendees take away from this session?
Attendees will learn simple ways to contribute as a developer to Wikimedia projects, without getting too deep into the details of the implementations. Best practices will help them with getting reviews and submitting patches. This knowledge can then be used as a starting point to get more into the codebase and contributing.

Length of session
~45-60 min

Today 2pm to 3pm
Room: Drummond East (Level 3)

Video recording of session, on Commons: https://commons.wikimedia.org/wiki/File:Improving_MediaWiki_what_to_do,_when_you%27re_new.webm

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 31 2017, 11:53 AM
samuwmde updated the task description. (Show Details)Aug 9 2017, 3:20 PM
samuwmde updated the task description. (Show Details)Aug 9 2017, 5:04 PM
WMDE-Fisch updated the task description. (Show Details)Aug 9 2017, 5:06 PM

Slides:

@WMDE-Fisch: Anything left to do in this task / any followup tasks needed to create? Or should this task get closed as resolved?

Quiddity updated the task description. (Show Details)Jan 1 2018, 10:38 PM
Aklapper closed this task as Resolved.Feb 9 2018, 1:37 PM

@WMDE-Fisch: Anything left to do in this task / any followup tasks needed to create? Or should this task get closed as resolved?

No reply, hence closing. (@WMDE-Fisch: Feel free to correct me.)

Quiddity reopened this task as Open.Feb 9 2018, 9:32 PM

@WMDE-Fisch Please upload those slides to Commons, and interlink with the video. Thanks!!

I uploaded the slides but I am not sure how best to interlink - should I embed the video in the pdf description with [[File:Improving_MediaWiki_what_to_do,_when_you%27re_new.webm]]? o.O

https://commons.wikimedia.org/w/index.php?title=File:Improving_MediaWiki_what_to_do,_when_you're_new.pdf

I uploaded the slides but I am not sure how best to interlink - should I embed the video in the pdf description with [[File:Improving_MediaWiki_what_to_do,_when_you%27re_new.webm]]? o.O

https://commons.wikimedia.org/w/index.php?title=File:Improving_MediaWiki_what_to_do,_when_you're_new.pdf

Location: I believe the recommended method is to use the |other versions= ... field in the template within the #Summary section. See Template:Information for that template's docs.
Format: You could use either a text-link or a thumbnail. I think both methods are commonly used.
Example: here's one example, that just uses text
Thanks!

Thanks, done. :-)

So.... anything left, or should this get closed now? :)

Quiddity closed this task as Resolved.Mar 1 2018, 11:11 PM

Done! Thanks again for all of it, Fisch.